> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a webhook endpoint

> Retrieves the webhook endpoint with the given ID.



## OpenAPI

````yaml openapi-core.json GET /v1/webhook_endpoints/{id}
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/webhook_endpoints/{id}:
    get:
      tags:
        - Webhook Endpoints
      summary: Retrieve a webhook endpoint
      description: Retrieves the webhook endpoint with the given ID.
      operationId: webhook_endpoints_retrieve
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: >-
            Returns a webhook endpoint object if a valid identifier was
            provided.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - webhook_endpoint
                  api_version:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The API version events sent to this endpoint are rendered
                      with.
                  connected_accounts:
                    type: boolean
                    description: >-
                      Whether the webhook endpoint is for connected account
                      events.
                  description:
                    type:
                      - string
                      - 'null'
                    description: >-
                      An arbitrary string attached to the object. Often useful
                      for displaying to users.
                  enabled_events:
                    type: array
                    items:
                      type: string
                    description: The events this endpoint will receive.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  signing_secret:
                    type: string
                    description: >-
                      The secret used to sign webhook payloads sent to this
                      endpoint.
                  status:
                    type: string
                    enum:
                      - enabled
                      - disabled
                    description: The status of the webhook endpoint.
                  url:
                    type: string
                    description: The URL of the webhook endpoint.
                required:
                  - id
                  - created
                  - object
                  - api_version
                  - connected_accounts
                  - description
                  - enabled_events
                  - status
                  - url
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````